diff --git a/changelog b/changelog
index e2cd290..d736c79 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,8 @@
+20080824 tpd src/input/Makefile add liu.input to regression
+20080824 lxx src/input/liu.input expose difference between ^ and **
+20080824 tpd src/interp/setq.lisp add Liu Xiaojun to credits
+20080824 tpd readme add Liu Xiaojun to credits
+20080824 lxx "Liu Xiaojun" <tigertooth4@gmail.com>
 20080824 tpd src/interp/format.boot use ++X
 20080824 tpd src/algebra/tree.spad use ++X
 20080824 tpd src/algebra/string.spad use ++X
diff --git a/readme b/readme
index 7735016..be93ed8 100644
--- a/readme
+++ b/readme
@@ -216,8 +216,8 @@ at the axiom command prompt will prettyprint the list.
 "Kai Kaminski           Grant Keady            Tony Kennedy"
 "Paul Kosinski          Klaus Kusche           Bernhard Kutzler"
 "Larry Lambe            Franz Lehner           Frederic Lehobey"
-"Michel Levaud          Howard Levy            Rudiger Loos"
-"Michael Lucks          Richard Luczak"
+"Michel Levaud          Howard Levy            Liu Xiaojun"
+"Rudiger Loos           Michael Lucks          Richard Luczak"
 "Camm Maguire           Francois Maltey        Alasdair McAndrew"
 "Bob McElrath           Michael McGettrick     Ian Meikle"
 "David Mentre           Victor S. Miller       Gerard Milmeister"
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 3f80d67..8bc5aa4 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -324,8 +324,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     kamke4.regress    kamke5.regress   kamke6.regress   kamke7.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    linalg.regress \
-    lindep.regress \
-    list.regress      lode.regress     lodesys.regress  lodo1.regress \
+    lindep.regress    list.regress     liu.regress   \
+    lode.regress      lodesys.regress  lodo1.regress \
     lodo2.regress     lodo3.regress    lodof.regress    lodo.regress \
     log.regress \
     lpoly.regress     lupfact.regress  lword.regress    macbug.regress \
@@ -595,7 +595,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/lextripk.input ${OUT}/lib.input        ${OUT}/limit.input \
        ${OUT}/linalg.input \
        ${OUT}/lindep.input   ${OUT}/liss1.input      ${OUT}/liss2.input \
-       ${OUT}/list.input     ${OUT}/lode.input       ${OUT}/lodesys.input \
+       ${OUT}/list.input     ${OUT}/liu.input \
+       ${OUT}/lode.input     ${OUT}/lodesys.input \
        ${OUT}/lodo1.input    ${OUT}/lodo2.input      ${OUT}/lodof.input \
        ${OUT}/lodo.input     ${OUT}/lodo3.input      ${OUT}/log.input \
        ${OUT}/lpoly.input    ${OUT}/lump.input \
@@ -896,7 +897,8 @@ DOCFILES= \
   ${DOC}/lib.input.dvi         ${DOC}/limit.input.dvi      \
   ${DOC}/linalg.input.dvi      ${DOC}/lindep.input.dvi     \
   ${DOC}/liss1.input.dvi       ${DOC}/liss2.input.dvi      \
-  ${DOC}/list.input.dvi        ${DOC}/lode.input.dvi       \
+  ${DOC}/list.input.dvi        ${DOC}/liu.input.dvi        \
+  ${DOC}/lode.input.dvi       \
   ${DOC}/lodesys.input.dvi     ${DOC}/lodo1.input.dvi      \
   ${DOC}/lodo2.input.dvi       ${DOC}/lodo3.input.dvi      \
   ${DOC}/lodof.input.dvi       ${DOC}/lodo.input.dvi       \
diff --git a/src/input/liu.input.pamphlet b/src/input/liu.input.pamphlet
new file mode 100644
index 0000000..65aa30d
--- /dev/null
+++ b/src/input/liu.input.pamphlet
@@ -0,0 +1,94 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input liu.input}
+\author{Xiaojun Liu}
+\maketitle
+\begin{abstract}
+This makes it clear that the exponential operation semantics is different
+for the use of ``\verb|^|'' and ``\verb|**|'' in some cases.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+Does exponential operation ``\verb|^|'' and ``\verb|**|'' of a differential
+operator, say L, means repeating multiplications of L in Axiom ? If
+so, it seems the following code produced an unexpected result:
+@
+<<*>>=
+)spool liu.output
+)set message test on
+)set message auto off
+)set message type off
+)clear all
+ 
+--S 1 of 9
+Dx: LODO(EXPR INT, f+->D(f,x)) := D()
+--R
+--R   (1)  D
+--E 1
+
+--S 2 of 9
+u := operator 'u
+--R
+--R   (2)  u
+--E 2
+
+--S 3 of 9
+L := Dx + u(x)
+--R
+--R   (3)  D + u(x)
+--E 3
+
+--S 4 of 9
+L**2 = L*L
+--R
+--R         2                2   2             ,          2
+--R   (4)  D  + 2u(x)D + u(x) = D  + 2u(x)D + u (x) + u(x)
+--R
+--E 4
+
+)clear all
+
+--S 5 of 9
+f: INT->INT:=x+->x+1
+--R
+--R   (1)  theMap(Closure)
+--E 5
+
+--S 6 of 9
+K := OREUP ( x, INT, 1, f);
+--R
+--E 6
+
+--S 7 of 9
+x:K
+--E 7
+
+--S 8 of 9
+L:=x+1
+--R
+--R   (4)  x + 1
+--E 8
+
+--S 9 of 9
+L^2=L*L
+--R
+--R         2            2
+--R   (5)  x  + 2x + 1= x  + 4x + 3
+--E 9
+
+)spool 
+)lisp (bye)
+ 
+@
+Clearly, the r.h.s. is correct too. I checked the .spad file, it seems the
+exponential operation of LODO (or its parent OREUP) is missed (or I guess it
+is directly inherited as usual polynomial operation). However I am not
+clever enough to modify the code. Please check this, thanks.
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/src/interp/setq.lisp.pamphlet b/src/interp/setq.lisp.pamphlet
index e9b34ec..37b7fba 100644
--- a/src/interp/setq.lisp.pamphlet
+++ b/src/interp/setq.lisp.pamphlet
@@ -627,8 +627,8 @@
 "Kai Kaminski           Grant Keady            Tony Kennedy"
 "Paul Kosinski          Klaus Kusche           Bernhard Kutzler"
 "Larry Lambe            Franz Lehner           Frederic Lehobey"
-"Michel Levaud          Howard Levy            Rudiger Loos"
-"Michael Lucks          Richard Luczak"
+"Michel Levaud          Howard Levy            Liu Xiaojun"
+"Rudiger Loos           Michael Lucks          Richard Luczak"
 "Camm Maguire           Francois Maltey        Alasdair McAndrew"
 "Bob McElrath           Michael McGettrick     Ian Meikle"
 "David Mentre           Victor S. Miller       Gerard Milmeister"
